Bug 23369 - Changes in PropertyPanel and PropertyEnv
Changes in PropertyPanel and PropertyEnv
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Explorer
3.x
All All
: P1 (vote)
: 3.x
Assigned To: Jiri Rechtacek
issues@platform
:
Depends on:
Blocks: 23358
  Show dependency treegraph
 
Reported: 2002-05-10 18:18 UTC by jrojcek
Modified: 2008-12-22 16:48 UTC (History)
2 users (show)

See Also:
Issue Type: TASK
:


Attachments
Proposed changes to PropertyPanel (8.20 KB, patch)
2002-05-22 09:49 UTC, Jaroslav Tulach
Details | Diff
New patch with accepted David's comments and unit tests written (19.15 KB, patch)
2002-05-22 12:54 UTC, Jaroslav Tulach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jrojcek 2002-05-10 18:18:32 UTC
Define interface that would allow to tell
customizer that it should check user changed
values and that it should commit values.
Comment 1 Jaroslav Tulach 2002-05-22 09:47:32 UTC
First step in defining this interface is to enhance the PropertyEnv to
 separate between asking for change of state and notifying that the
change has been done. That means to add PropertyChangeListener support
to already existing VetoableChange one.

The second step is the ability to use PropertyPanel to control/obtain
the value of the PropertyEnv.getState of the current property editor.
Thus adding method PropertyPanel.getState () and firing property
changes appropriatelly. Also there is a need to tell the property
editor that it is about to be closed. For this purpose the
PropertyPanel.updateState method should call the PropertyEnv
associcated with the PropertyEditor and call setValid (STATE_VALID).


Comment 2 Jaroslav Tulach 2002-05-22 09:49:05 UTC
Created attachment 5900 [details]
Proposed changes to PropertyPanel
Comment 3 David Strupl 2002-05-22 10:22:43 UTC
When adding a listenter to the env please check that you either
unregister the listener or use weak listener not cause a memory leak
(then env holding references to the property panel).
Comment 4 Jaroslav Tulach 2002-05-22 12:54:03 UTC
Created attachment 5906 [details]
New patch with accepted David's comments and unit tests written
Comment 5 Jiri Rechtacek 2002-05-27 17:33:22 UTC
The patch was applied.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo